DROP TABLE IF EXISTS `#__g_maps`;

CREATE TABLE IF NOT EXISTS `#__g_maps` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `type` varchar(50) NOT NULL DEFAULT 'ROADMAP',
  `zoom` int(5) NOT NULL,
  `border_radius` int(5) NOT NULL,
  `center_lat` varchar(255) NOT NULL DEFAULT '0',
  `pan_controller` varchar(5) NOT NULL DEFAULT 'true',
  `zoom_controller` varchar(5) NOT NULL DEFAULT 'true',
  `type_controller` varchar(5) NOT NULL DEFAULT 'true',
  `scale_controller` varchar(5) NOT NULL DEFAULT 'true',
  `street_view_controller` varchar(5) NOT NULL DEFAULT 'true',
  `overview_map_controller` varchar(5) NOT NULL DEFAULT 'true',
  `center_lng` varchar(255) NOT NULL DEFAULT '0',
  `width` varchar(5) NOT NULL DEFAULT '100',
  `height` varchar(5) NOT NULL DEFAULT '450',
  `align` varchar(11) NOT NULL DEFAULT 'left',
  `wheel_scroll` varchar(11) NOT NULL DEFAULT 'true',
  `draggable` varchar(11) NOT NULL DEFAULT 'true',
  `language` text NOT NULL,
  `min_zoom` varchar(11) NOT NULL DEFAULT '0',
  `max_zoom` varchar(11) NOT NULL DEFAULT '22',
  `info_type` varchar(9) NOT NULL DEFAULT 'click',
  `traffic_layer` varchar(55) NOT NULL DEFAULT 'false',
  `bike_layer` varchar(55) NOT NULL DEFAULT 'false',
  `transit_layer` varchar(55) NOT NULL DEFAULT 'false',
  `styling_hue` text NOT NULL,
  `styling_lightness` varchar(55) NOT NULL DEFAULT '0',
  `styling_gamma` varchar(55) NOT NULL DEFAULT '1',
  `styling_saturation` varchar(55) NOT NULL DEFAULT '0',
  `animation` varchar(250) NOT NULL DEFAULT 'none',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__g_maps` (`id`, `name`, `type`, `zoom`, `border_radius`, `center_lat`, `pan_controller`, `zoom_controller`, `type_controller`, `scale_controller`, `street_view_controller`, `overview_map_controller`, `center_lng`, `width`, `height`, `align`, `wheel_scroll`, `draggable`, `language`, `min_zoom`, `max_zoom`, `info_type`, `traffic_layer`, `bike_layer`, `transit_layer`, `styling_hue`, `styling_lightness`, `styling_gamma`, `styling_saturation`, `animation`) VALUES
(1, 'My First Map', 'ROADMAP', 7, 0, '40.7127837', 'true', 'true', 'true', 'true', 'true', 'true', '-74.00594130000002', '100', '300', 'center', 'true', 'true', 'location based', '0', '22', 'click', 'false', 'false', 'false', '', '0', '1', '0', 'none');



DROP TABLE IF EXISTS `#__g_circles`;

CREATE TABLE IF NOT EXISTS `#__g_circles` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `map` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `center_lat` varchar(255) NOT NULL,
  `center_lng` varchar(255) NOT NULL,
  `radius` varchar(255) NOT NULL,
  `line_width` varchar(5) NOT NULL,
  `line_opacity` varchar(5) NOT NULL,
  `line_color` varchar(7) NOT NULL,
  `fill_color` varchar(7) NOT NULL,
  `fill_opacity` varchar(7) NOT NULL,
  `hover_line_opacity` varchar(5) NOT NULL,
  `hover_line_color` varchar(7) NOT NULL,
  `hover_fill_color` varchar(7) NOT NULL,
  `hover_fill_opacity` varchar(7) NOT NULL,
  `show_marker` int(7) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;



INSERT INTO `#__g_circles` (`id`, `map`, `name`, `center_lat`, `center_lng`, `radius`, `line_width`, `line_opacity`, `line_color`, `fill_color`, `fill_opacity`, `hover_line_opacity`, `hover_line_color`, `hover_fill_color`, `hover_fill_opacity`, `show_marker`) VALUES
(1, 1, 'My First Circle', '40.805493843894155', '-76.3165283203125', '50000', '5', '0.8', 'FF2B39', '4FFF72', '0.4', '0.6', 'FF5C5C', '96FFA1', '0.3', 0);


DROP TABLE  IF EXISTS `#__g_markers`;



CREATE TABLE IF NOT EXISTS `#__g_markers` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `map` int(11) NOT NULL,
  `title` varchar(50) NOT NULL,
  `lat` varchar(255) NOT NULL DEFAULT '0',
  `lng` varchar(255) NOT NULL DEFAULT '0',
  `animation` varchar(255) NOT NULL DEFAULT 'NONE',
  `description` text NOT NULL,
  `img` varchar(255) NOT NULL,
  `size` varchar(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `#__g_markers` (`id`, `map`, `title`, `lat`, `lng`, `animation`, `description`, `img`, `size`) VALUES
(1, 1, 'New York', '40.7127837', '-74.00594130000002', 'BOUNCE', 'New York City', '', ''),
(2, 1, 'Delaver', '39.189690821096804', '-75.7562255859375', 'DROP', 'Delaver', '', '');



DROP TABLE  IF EXISTS `#__g_polygones`;


CREATE TABLE IF NOT EXISTS `#__g_polygones` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `map` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `data` text NOT NULL,
  `line_opacity` varchar(5) NOT NULL,
  `line_color` varchar(9) NOT NULL,
  `fill_opacity` varchar(5) NOT NULL,
  `fill_color` varchar(9) NOT NULL,
  `url` text NOT NULL,
  `hover_line_opacity` varchar(5) NOT NULL,
  `hover_line_color` varchar(9) NOT NULL,
  `hover_fill_opacity` varchar(5) NOT NULL,
  `hover_fill_color` varchar(9) NOT NULL,
  `line_width` varchar(9) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__g_polygones` (`id`, `map`, `name`, `data`, `line_opacity`, `line_color`, `fill_opacity`, `fill_color`, `url`, `hover_line_opacity`, `hover_line_color`, `hover_fill_opacity`, `hover_fill_color`, `line_width`) VALUES
(1, 1, 'My First Polygon', '(40.538851525354666, -74.3060302734375),(40.16208338164619, -73.9764404296875),(39.40224434029277, -74.3499755859375),(38.950865400920016, -74.8883056640625),(39.13858199058352, -75.0091552734375),(39.46164364205549, -75.5035400390625),(39.774769485295465, -75.4815673828125),(39.86758762451019, -75.0201416015625)', '0.9', 'E2574C', '0.5', 'F6C37A', 'http://www.huge-it.com', '0.8', 'FF80B7', '0.5', '75FF7E', '5');

DROP TABLE  IF EXISTS `#__g_polylines`;

CREATE TABLE IF NOT EXISTS `#__g_polylines` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `map` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `data` text NOT NULL,
  `line_opacity` varchar(5) NOT NULL,
  `line_color` varchar(7) NOT NULL,
  `line_width` varchar(5) NOT NULL,
  `hover_line_color` varchar(9) NOT NULL,
  `hover_line_opacity` varchar(9) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__g_polylines` (`id`, `map`, `name`, `data`, `line_opacity`, `line_color`, `line_width`, `hover_line_color`, `hover_line_opacity`) VALUES
(1, 1, 'My First Polyline', '(42.24071874922666, -71.81488037109375),(42.1532233123986, -71.95770263671875),(42.13082130188811, -72.06207275390625),(42.14507804381756, -72.125244140625),(42.18579390537848, -72.2186279296875),(42.16340342422401, -72.2845458984375),(42.1837587346522, -72.3175048828125),(42.1552594657786, -72.36968994140625),(42.169510705216595, -72.4822998046875),(42.157295553651636, -72.630615234375),(42.13896840458089, -72.72674560546875),(42.165439250064324, -72.850341796875),(42.173581898327754, -72.92312622070312),(42.2366518803206, -73.00277709960938),(42.24478535602799, -73.10714721679688),(42.30169032824452, -73.17306518554688),(42.3016903282445, -73.34884643554688),(42.37883631647602, -73.45596313476562),(42.41940144722477, -73.54385375976562),(42.47209690919285, -73.63174438476562),(42.482225570025925, -73.67294311523438),(42.50652766705062, -73.78005981445312),(42.34027515373573, -73.85421752929688),(42.173581898327754, -73.93112182617188),(41.9921602333763, -73.99703979492188),(41.91249742196845, -74.04098510742188),(41.83682786072714, -74.17831420898438),(41.79179268262892, -74.23599243164062),(41.75492216766298, -74.36782836914062),(41.70777900286713, -74.38430786132812),(41.582579601430346, -74.48318481445312),(41.36238012945534, -74.70291137695312)', '0.9', '18A326', '4', '11A000', '0.5');
